6.0.0-git
2019-03-19

[#9237] With update of Imap_Client TLS is not working anymore
Summary With update of Imap_Client TLS is not working anymore
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester hordetest (at) trash-mail (dot) com
Created 2010-09-08 (3114 days ago)
Due
Updated 2011-03-03 (2938 days ago)
Assigned 2010-09-08 (3114 days ago)
Resolved 2011-03-03 (2938 days ago)
Milestone
Patch No

History
2011-03-03 21:58:11 Michael Slusarz Comment #9
Assigned to Michael Slusarz
State ⇒ Resolved
Reply to this comment
This was verified to be fixed a week ago.
2010-09-12 10:37:37 hordetest (at) trash-mail (dot) com Comment #8 Reply to this comment
If I remove the queryCapability('STARTTLS') part of the coding, the 
folder listing works fine. Somehow the Capability is lost
2010-09-11 17:08:48 Michael Slusarz Comment #7 Reply to this comment
I made some changes that should catch the errors.  But you will still 
need to debug further because I don't see this.
2010-09-09 22:33:36 hordetest (at) trash-mail (dot) com Comment #6 Reply to this comment
Sorry, my configuration was wrong. The error is still there, but no 
fatal error. When I turn on TLS, I  get the following messages on 
every page:

- Warning: Invalid argument supplied for foreach() in 
/horde/ingo/lib/Script/Imap.php on line 163

- Mailbox listing failed: Server does not support TLS connections.
2010-09-09 22:25:24 hordetest (at) trash-mail (dot) com Comment #5 Reply to this comment
Seems to work now. Appearantly something was changed :)
2010-09-08 21:35:39 Michael Slusarz Comment #4
State ⇒ Feedback
Reply to this comment
This should be producing a fatal error then. which should be producing 
a backtrace if logged in as an admin.  Post the results of the 
backtrace.
2010-09-08 19:16:03 hordetest (at) trash-mail (dot) com Comment #3 Reply to this comment
I checked with telnet. The imap server supports STARTTLS. I can see 
the error on each page. I just wanted to say the connection in general 
is working as the folders are shown in the sidebar.
2010-09-08 17:08:52 Michael Slusarz Comment #2 Reply to this comment
  I can not reproduce.  Which page do you see this on?

Theoretically, this would only happen if your IMAP server is not 
advertising STARTTLS.  (There have been recent changes to the 
serialization code that might cause capability values to be lost 
between page accesses, but if this was the case you would be seeing 
this error on every page load, which you say is not happening).
2010-09-08 14:06:34 hordetest (at) trash-mail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ With update of Imap_Client TLS is not working anymore
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
Listing of folders fails. I am using IMP forauthentication and also 
the folders for the sidebar are retrieved correclty. Only the mail 
listing results in this error. Also no error in the log of the imap 
server. So I guess there's a coding error here. No error when 
switching TLS off. Ingo also had Imap Problems with TLS on.

2010-09-08T15:55:03+02:00 ERR: HORDE [imp] Server does not support TLS 
connections. [pid 3473 on line 187 of 
"/horde/framework/Imap_Client/lib/Horde/Imap/Client/Base.php"]

Saved Queries